
QGIS Application - Bug report #18524

Crash when updating multiple polygons

2018-03-23 11:38 AM - Chris Pope

Status: Closed

Priority: Low

Assignee: Chris Pope

Category: Attribute table

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 26412

Description

User Feedback

Report Details

Crash ID: 429d251e30e04f5190414042ce2030f6a03df487

Stack Trace

QgsAttributeForm::setMode :

QMetaObject::activate :

QAction::setChecked :

QgsAttributeTableDialog::updateMultiEditButtonState :

QgsAttributeTableDialog::editingToggled :

QMetaObject::activate :

QgsVectorLayer::commitChanges :

QgisApp::toggleEditing :

QgsAttributeTableDialog::mActionToggleEditing_toggled :

QMetaObject::activate :

QAction::setChecked :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.14393

History

#1 - 2018-03-28 09:43 AM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce - can you post more steps as to how to trigger this crash?

#2 - 2018-08-15 07:53 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
